Bug 1490409 - (CVE-2017-14482) CVE-2017-14482 emacs: command injection flaw within "enriched mode" handling
CVE-2017-14482 emacs: command injection flaw within "enriched mode" handling
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20170904,repo...
: Security
Depends On: 1490410 1490451 1490452
Blocks: 1490413
  Show dependency treegraph
 
Reported: 2017-09-11 09:40 EDT by Andrej Nemec
Modified: 2017-10-31 18:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A command injection flaw within the Emacs "enriched mode" handling has been discovered. By tricking an unsuspecting user into opening a specially crafted file using Emacs, a remote attacker could exploit this flaw to execute arbitrary commands with the privileges of the Emacs user.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-22 04:41:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-09-11 09:40:27 EDT
Enriched mode implements an extension command to the text/enriched format called "x-display", which stores "display" text properties. It's possible to use this extension command to transparently execute arbitrary code in an Emacs process that opens a text/enriched file.

Upstream issue:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28350

Upstream patch:

https://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-25&id=9ad0fcc54442a9a01d41be19880250783426db70

References:

http://seclists.org/oss-sec/2017/q3/422
Comment 1 Andrej Nemec 2017-09-11 09:40:58 EDT
Created emacs tracking bugs for this issue:

Affects: fedora-all [bug 1490410]
Comment 5 errata-xmlrpc 2017-09-19 14:36:49 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2771 https://access.redhat.com/errata/RHSA-2017:2771
Comment 6 Stefan Cornelius 2017-09-25 09:16:35 EDT
Mitigation:

This issue can be mitigated by adding the following lines to the Emacs init file (for example ~/.emacs, ~/emacs.d/init.el, site-start.el) and avoiding options that would bypass normal initialization, like 'emacs -Q':

  ;; Mitigate CVE-2017-14482 in Emacs 25.2 and earlier
(require 'enriched)
(defun enriched-decode-display-prop (start end &optional param)
  (list start end))

Note You need to log in before you can comment on or make changes to this bug.